# Eksell

Eksell is a feature-rich portfolio and blog theme, with deep support for the block editor and full color settings. It includes extensive block styles and multiple prebuilt block patterns, and it styles the block editor to match the front-end of your site so you always have a good idea of what the end result will look like when you’re creating your content. Visitors can filter your posts and Jetpack Portfolio items without reloading the page with the lazyloading category filter, and full color settings in the Customizer give you easy control over all of the colors used in the theme, including the option to set a separate dark mode color scheme for devices that support it. 

Eksell also features a Blank Canvas page template that only outputs the content you add in the block editor, infinite scroll on archive pages, an optional search overlay, a sticky header setting, a social menu with icons, a footer menu, custom logo support, options for what post meta to display, support for the Block Templates editor, a lightweight construction for fast load times, and developer friendly code.

![Eksell](https://github.com/andersnoren/eksell/blob/master/screenshot.png)

You can download the latest stable release of Eksell [from WordPress.org](https://wordpress.org/themes/eksell/).

## Installing Eksell
1. Download the latest stable version of Eksell through the link above, unzip it and upload the theme folder to `wp-content/themes/` in your WordPress installation. You can also install it through Themes → Add New in your WordPress installation.
2. Activate the theme.

## Contributing
Do you have a bug report or feature request? Feel free to create an issue, and I’ll take a look at it. You can also create a pull request if you have a solution ready. 

Keep in mind that I maintain my themes in my spare time. Even though I deeply appreciate any and all contributions, I can’t guarantee I’ll take a look at them quickly.

## Buy me a coffee
Do you want to support the continued development of Eksell? You can send me a PayPal donation [here](https://www.paypal.com/cgi-bin/webscr?cmd=_donations&business=anders%40andersnoren%2ese&lc=US&item_name=Free%20WordPress%20Themes%20from%20Anders%20Noren&currency_code=USD&bn=PP%2dDonationsBF%3abtn_donateCC_LG%2egif%3aNonHosted).

## Requirements
- WordPress 4.5+
- PHP 5.4+
- License: [GPLv2](https://www.gnu.org/licenses/gpl-2.0.html) or later

## Resources
- [About Eksell](https://andersnoren.se/teman/eksell-wordpress-theme/)
- [Eksell demo site](https://andersnoren.se/themes/eksell/)